:root {
    --color-verde: #006600;
    --color-verde-hover: #009900;
    --color-rojo: #a20003;
    --color-background-dark: #001500;
    --color-background-dark-modal: #1d1e1d;
}

/* esilos globales */
.alert-crud {
    font-size: 15px;
}

.login-page, .register-page {
    background: url("../images/fondo.jpg") no-repeat;
    background-size: cover;
}

.content-header {
    padding: 15px 9px 0px 9px !important;
}

.bootstrap-datetimepicker-widget table thead tr th,
.bootstrap-datetimepicker-widget table tbody tr td {
    border-left: none;
    border-right: none;
}

.sidebar-mini:not(.sidebar-collapse) .brand-link .brand-image {
    margin-left: 1.8rem !important;
}

.brand-link {
    border-bottom: none !important;
}

.puntero {
    cursor: pointer;
}

.fs-12 {
    font-size: 12px;
}

.fs-14 {
    font-size: 14px;
}

.modal-header {
    align-items: center;
}

.custom-file-label::after {
    content: 'Elegir' !important;
}

input[type="text"]:disabled,
input[type="tel"]:read-only,
input[type="text"]:read-only {
    background: #d9d9d9 !important;
    font-weight: normal !important;
    color: #000 !important;
    cursor: no-drop !important;
}

.mayuscula {
    text-transform: uppercase;
}

.mayuscula::placeholder {
    text-transform: capitalize;
}

.padding-r {
    padding-right: 11px !important;
}

body.swal2-shown {
    overflow: hidden !important;
}

.wrapper {
    overflow-x: hidden;
}

.content-wrapper>.content {
    padding-top: 15px;
}

.dark-mode {
    background-color: #002500 !important;
    color: #fff !important;
}

.dark-mode .card-header {
    border-color: #6c757d;
}

.dark-mode .card-footer {
    border-color: #6c757d;
    border-top-width: 1px;
    border-top-style: solid;
}

.dark-mode hr {
    background-color: #6c757d;
}

.dark-mode .dropdown-menu {
    background-color: var(--color-background-dark) !important;
    color: #fff !important;
}

.dark-mode .callout {
    background-color: var(--color-background-dark) !important;
}

.dark-mode .navbar-nav>.user-menu>.dropdown-menu>.user-footer {
    background-color: var(--color-background-dark) !important;
    color: #fff !important;
}

.dark-mode .btn-success, .btn-success {
    background-color: var(--color-verde);
    border-color: var(--color-verde);
    color: #fff;
}

.dark-mode .content-wrapper {
    background-color: #002500 !important;
    color: #fff !important;
}

.dark-mode .main-header {
    background-color: var(--color-background-dark) !important;
    border-bottom: none;
    color: #fff !important;
}

.dark-mode .main-footer {
    background-color: var(--color-background-dark) !important;
}

.dark-mode .main-header .navbar-nav .nav-item .nav-link span {
    color: #fff;
}

.dark-mode .callout.callout-success {
    border-left-color: var(--color-verde);
}

.dark-mode .btn-primary {
    background-color: #007bff !important;
    border-color: #007bff !important;
}

.dark-mode .btn-outline-primary {
    color: #007bff;
    border-color: #007bff;
}

.dark-mode .btn-primary:hover {
    background-color: #0069d9 !important;
    border-color: #0062cc !important;
}

.dark-mode .navbar-light .navbar-nav .nav-link {
    color: #fff !important;
}

.dark-mode .dropdown-menu {
    border-color: #6c757d;
}

.dark-mode .card {
    background-color: var(--color-background-dark);
}

.dark-mode .modal-content {
    background-color: var(--color-background-dark);
}

.dark-mode .timeline>div>.timeline-item {
    background-color: var(--color-background-dark);
}

.dark-mode input:-webkit-autofill, .dark-mode input:-webkit-autofill:focus, .dark-mode input:-webkit-autofill:hover, .dark-mode select:-webkit-autofill, .dark-mode select:-webkit-autofill:focus, .dark-mode select:-webkit-autofill:hover, .dark-mode textarea:-webkit-autofill, .dark-mode textarea:-webkit-autofill:focus, .dark-mode textarea:-webkit-autofill:hover {
    -webkit-text-fill-color: #000 !important;
}

.dark-mode .close {
    color: #000;
}

.dark-mode .na-nota {
    filter: brightness(0) invert(1);
}

.btn-danger {
    background-color: var(--color-rojo);
    border-color: var(--color-rojo);
    color: #fff;
}

.bg-success, .btn-outline-success:not(:disabled):not(.disabled).active, .btn-outline-success:not(:disabled):not(.disabled):active, .show>.btn-outline-success.dropdown-toggle {
    background-color: var(--color-verde) !important;
}

.btn-success:hover {
    background-color: var(--color-verde-hover);
    border-color: var(--color-verde-hover);
}

.dark-mode .btn-outline-success, .btn-outline-success, .dark-mode .btn-outline-success:hover, .btn-outline-success:hover {
    background-color: #fff;
    border-color: var(--color-verde);
    color: var(--color-verde);
}

.dark-mode .btn-outline-success:not(:disabled):not(.disabled).active, .dark-mode .btn-outline-success:not(:disabled):not(.disabled):active, .show>.dark-mode .btn-outline-success.dropdown-toggle {
    background-color: #fff;
    border-color: var(--color-verde);
    color: #fff;
}

.border-derecha {
    border-top-right-radius: .25rem !important;
    border-bottom-right-radius: .25rem !important;
}

.borde-izquierda {
    border-top-left-radius: .25rem !important;
    border-bottom-left-radius: .25rem !important;
}

.border-top-radius-0 {
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

.border-top-bottom-right-radius-0 {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.div-select2 .select2-container--bootstrap4 .select2-selection {
    border-radius: 0 !important;
    border-top-left-radius: .25rem !important;
    border-bottom-left-radius: .25rem !important;
}

.nav-pills.d-flex .nav-link:not(.active):hover, .modal .nav-pills .nav-link:not(.active):hover {
    color: #000;
}

.dark-mode .nav-pills.d-flex .nav-link:not(.active):hover, .modal .nav-pills .nav-link:not(.active):hover {
    color: #fff !important;
}

.graficos {
    height: 475px;
}

#alert-erro-factarucaion {
    display: none;
    font-size: 15px;
    padding: .5rem .8rem !important;
}

.content-wrapper {
    flex-grow: 1;
    min-height: 672.2px !important;
}

.bg-red {
    background-color: var(--color-rojo) !important;
}

.bg-green {
    background-color: var(--color-verde) !important;
}

.bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-danger, .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-danger {
    background: var(--color-rojo);
}

.bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-success, .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-success {
    background: var(--color-verde);
}

.input-group .select2-container {
    width: calc(2.25rem + 2px) !important;
}

.input-group:has(.btn[style*="display: none"]) .form-control {
    border-top-right-radius: .25rem !important;
    border-bottom-right-radius: .25rem !important;
}

.none-div {
    display: none;
}

.container-fluid .row #accordion .card {
    border-width: 1px;
    box-shadow: none;
    margin-bottom: 0;
}

.container-fluid .row #accordion .card:has(.show) .card-header,
.container-fluid #accordion .card:has(.show) .card-header {
    border-width: 1px;
}

.container-fluid .row #accordion .card .card-header,
.container-fluid #accordion .card .card-header {
    border-width: 0;
    padding: 0;
}

.container-fluid .row #accordion .card .card-header .card-title a,
.container-fluid #accordion .card .card-header .card-title a {
    padding: .75rem 1.25rem;
    color: #000;
    text-decoration: none;
}

.dark-mode .container-fluid .row #accordion .card,
.dark-mode .container-fluid #accordion .card {
    background-color: var(--color-background-dark);
    border-color: #6c757d;
}

.dark-mode .container-fluid .row #accordion .card .card-header .card-title a,
.dark-mode .container-fluid #accordion .card .card-header .card-title a {
    color: #fff;
}

/* estilos del login */
.logo-login {
    width: 20%;
}

.text-login {
    font-size: 25px;
}

/* estilos del menu */

.fondo-menu {
    background: url("../images/fondoMenu.jpg") no-repeat;
    background-size: cover;
}

.hamburguesa {
    visibility: hidden;
    margin-left: -50px;
}

@media (max-width: 991.9808px) {
    .hamburguesa {
        visibility: visible;
        margin-left: 0px;
    }
}

.nav-sidebar>.nav-item .nav-icon.fa, .nav-sidebar>.nav-item .nav-icon.fab, .nav-sidebar>.nav-item .nav-icon.fad, .nav-sidebar>.nav-item .nav-icon.fal, .nav-sidebar>.nav-item .nav-icon.far, .nav-sidebar>.nav-item .nav-icon.fas, .nav-sidebar>.nav-item .nav-icon.ion, .nav-sidebar>.nav-item .nav-icon.svg-inline--fa {
    font-size: 15px;
}

.nav-sidebar>.nav-item {
    font-size: 15px;
}

.subtitulo-menu {
    font-size: 10px;
    margin-left: 87px;
}

.nav-sidebar .nav-treeview>.nav-item>.nav-link>.nav-icon {
    font-size: 10px;
}

.nav-sidebar>.nav-item>.nav-link.active {
    background-color: rgb(255, 255, 255) !important;
    color: #000 !important;
    border-left: 4px solid var(--color-verde-hover) !important;
}

.dark-mode .nav-sidebar>.nav-item>.nav-link.active {
    background-color: rgb(0, 21, 0) !important;
    color: #fff !important;
    border-left: 4px solid var(--color-verde) !important;
}

.nav-treeview>.nav-item>.nav-link.active,
.nav-treeview>.nav-item>.nav-link.active i.nav-icon {
    background: none !important;
    font-weight: bold;
}

#empresa-span {
    font-size: 15px;
}

.navbar-nav>.user-menu .user-image {
    float: none !important;
    line-height: 10px !important;
    margin-right: .4rem !important;
    margin-top: -8px !important;
}

.navbar-nav>.user-menu>.dropdown-menu>li.user-header {
    height: auto;
}

.layout-fixed .main-sidebar-custom .sidebar {
    height: calc(100% - ((0rem + 4rem) + 1px));
}

.layout-fixed .main-sidebar-custom:has(.sidebar-custom) .sidebar {
    height: calc(100% - ((8.5rem + 4rem) + 1px));
}

/* .layout-fixed .main-sidebar-custom .sidebar {} */

.sidebar-custom {
    border-top: none !important;
}

/* estilos del contenido */

#crud {
    display: none;
}

/* estilos del footer */

.footer-text {
    font-size: 15px;
}

/* estilos de la pagina inicio */

.card-img-inicio {
    height: 600px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -25px;
    margin-bottom: -50px;
}

.card-img-inicio .body-img img {
    width: 250px;
}

/* estilo de la pagina dashboard */

.small-box>.small-box-footer-success {
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    border-bottom-right-radius: .25rem;
    border-bottom-left-radius: .25rem;
}

.small-box .inner-title {
    font-size: 27px !important;
}

.small-box .inner-text {
    font-size: 20px;
    margin-bottom: 3.5008px;
}

.small-box>.small-box-footer-success:hover {
    background-color: var(--color-verde-hover);
}

/* estilos de la pagina empresa */

.cuadro-img {
    height: 123px;
    border: 2px dashed var(--color-verde);
}

.cuadro-img #cuadro-img {
    display: none;
    position: absolute;
    width: 100px;
    height: 100px;
}

.cuadro-img #cuadro-cerrar {
    display: none;
}

.cuadro-img .file input {
    display: none;
}

/* estilos de la pagina certificado */

#alertCertificado {
    display: none;
}

/* estilos de la pagina compras */

.tabla-compras {
    height: 230px;
}

.tabla-compras table thead tr th:nth-child(2) {
    min-width: 400px;
}

.tabla-compras table thead tr th:nth-child(3) {
    min-width: 90px;
}

.tabla-compras table thead tr .ultimo {
    min-width: 115px;
}

/* estilos de la pagina punto de venta */

.modulos-punto-venta {
    align-content: start;
    align-items: stretch;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
}

.modulos-punto-venta .card {
    background-color: rgba(228, 228, 231, 1);
    border-color: rgba(228, 228, 231, 1);
    border-radius: .75rem;
    color: #000;
    height: 180px;
    margin-bottom: 0;
    text-align: center;
    transition: all .2s ease-in-out;
    width: 190px;
}

.dark-mode .modulos-punto-venta .card {
    background-color: #FDFDFD;
    border-color: #FDFDFD;
}

.modulos-punto-venta .card.active {
    background-color: var(--color-verde);
    color: #fff;
}

.modulos-punto-venta .card:hover {
    background-color: var(--color-verde-hover);
    color: #fff;
}


.modulos-punto-venta .card .card-body {
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.modulos-punto-venta .card .card-body h4 {
    font-weight: bold;
    margin-bottom: 0;
}

.modulos-punto-venta .card .card-body p {
    margin-bottom: 0;
}

.tr-detalleTabla:hover {
    background: none !important;
}

/* estilos de la carga de otros */

#other {
    display: none;
}

/* estilos de botonoes nuevos */

.nav-link-propio {
    border: 1px solid #fff;
}

.dark-mode .nav-link-propio, .modal .nav-link-propio {
    color: #fff !important;
}

.row-propio {
    display: flex;
    flex-wrap: wrap;
    row-gap: 0;
    /* Sin espacio vertical */
    column-gap: 10px;
    /* Espacio solo en el eje X */
}

/* Columnas responsivas */
.col-propio {
    flex: 1;
    box-sizing: border-box;
    /* flex: 1 1 auto; */
    min-width: 200px;
}

.grid-propio {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    padding: 10px;
}

.grid-propio:empty {
    padding: 0;
}

@media (max-width: 1100px) {
    .grid-propio {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (max-width: 767.8px) {
    .grid-propio {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}

@media (max-width: 600.8px) {
    .grid-propio {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media (max-width: 480.8px) {
    .grid-propio {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

.grid-propio button {
    align-self: flex-start;
    color: #000 !important;
    margin-bottom: 1px;
}

.dark-mode .grid-propio button {
    color: #fff !important;
}

.form-group .font-weight-normal {
    width: 100%;
}

.btn-check {
    position: absolute;
    clip: rect(0, 0, 0, 0);
    pointer-events: none;
}

.btn-group-propio {
    width: 100%;
}

.btn-group-propio label {
    margin-bottom: 0;
}

.btn-group-propio label:first-of-type {
    border-top-left-radius: .25rem !important;
    border-bottom-left-radius: .25rem !important;
}

.btn-check:checked+.btn {
    background-color: var(--color-verde);
    color: #fff;
}

/* estilos de botonoes nuevos */

.dark-mode #div-lista-productos .container-fluid .row p {
    color: #fff;
}

/* start - estilos de la precarga */

.preloading {
    align-items: center;
    background-color: white;
    display: flex;
    height: 100vh;
    left: 0;
    justify-content: center;
    position: fixed;
    top: 0;
    transition: height .2s linear;
    width: 100%;
    z-index: 9999;
    overflow: hidden;
}

.dark-mode .preloading {
    background-color: #002500;
}

.preloading .container-load {
    text-align: center;
    margin-top: -10px;
    max-width: 265px;
}

.preloading .container-load .logo {
    width: 50%;
}

.preloading .container-load .bar-bg {
    background-color: #f4f4f5;
    width: 100%;
    height: 18px;
    border-radius: 99px;
    margin-top: 35px;
    position: relative;
    padding-left: 4px;
    display: block;
}

.dark-mode .container-load .bar-bg {
    background-color: #DFDEDE;
}

.preloading .container-load .bar-bg .bar-loader {
    margin-top: 3px;
    position: absolute;
    width: 25%;
    height: 12px;
    background-color: var(--color-verde);
    border-radius: 99px;
    animation: shimmy 3s infinite;
}

@keyframes shimmy {
    0% {
        transform: translate(0, 0);
    }

    50% {
        transform: translate(190px, 0);
    }

    100% {
        transform: translate(0, 0);
    }
}

.close-preloading {
    height: 0px;
}

/* end - estilos de la precarga */

/* start - loading espera */

#loading-espera {
    background: rgba(0, 0, 0, 0.7);
    display: none;
    left: 0;
    top: 0;
    z-index: 3000;
}

/* end - loading espera */

/* start - diseño del boton dark */

.dark-container {
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: center;
    width: 100%;
}

.dark-check {
    position: relative;
    width: 60px;
    height: 30px;
    background-color: #DFDEDE;
    border-radius: 15px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.dark-check.active {
    background-color: white;
}

/* Círculo deslizante */
.circle {
    position: absolute;
    top: 3px;
    left: 3px;
    width: 24px;
    height: 24px;
    background-color: #ffffff;
    border-radius: 50%;
    transition: transform 0.3s;
}

.dark-check.active .circle {
    background-color: #343a40;
    transform: translateX(30px);
}

/* Iconos */
.icon-check {
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
    padding: 0 7px;
    font-size: 16px;
    color: #666;
}

.dark-check.active .icon-check .fa-sun {
    opacity: 0.3;
}

.dark-check .fa-moon {
    opacity: 0.3;
}

.dark-check.active .fa-moon {
    opacity: 1;
    color: white;
}

/* end - diseño del boton dark */

/* start - switch large  */

.custom-control-input:focus~.custom-control-label::before {
    box-shadow: none;
}

.custom-switch.custom-switch-on-success .custom-control-input:checked~.custom-control-label::before {
    background-color: var(--color-verde) !important;
    border-color: var(--color-verde) !important;
}

.custom-switch.custom-switch-on-success .custom-control-input:checked~.custom-control-label::after {
    background-color: white !important;
}

.custom-switch-large .custom-control-label::before {
    width: 2.5rem;
    height: 1.35rem;
    border-radius: 0.6rem;
    top: 0;
}

.custom-switch-large .custom-control-label::after {
    width: 1.1rem;
    height: 1.1rem;
    top: calc(0rem + 2px);
}

.custom-switch-large .custom-control-input:checked~.custom-control-label::after {
    transform: translateX(1.15rem);
}

/* end - switch large  */

/* diseño de dropzone.js */

.dropzone {
    background: none;
    border: 1px dashed var(--color-verde);
    border-radius: 0.6rem;
    color: var(--color-verde);
    text-align: center;
    padding: 5px;
}

.dropzone.dropzone-disabled {
    pointer-events: none;
}

.dropzone.dropzone-disabled .dz-preview {
    pointer-events: all;
}

.dropzone .dz-preview {
    margin: 10px;
    margin-bottom: 3px;
}

.dropzone .dz-preview .dz-image {
    width: 120px;
    height: 120px;
}

.dropzone .dz-preview .dz-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dropzone .dz-preview .dz-progress {
    display: none;
}

.dropzone .dz-preview.dz-image-preview {
    background: none;
}

.dropzone.dz-clickable * {
    cursor: pointer;
}

.dropzone .dz-preview .dz-error-message {
    top: 143px;
}